Skip to content

Enable Margin Trading For Account

PUT
/v1/margin/account/status

Enable an account to trade with margin. The request body requires accountStatusFieldName (MARGIN_ENABLED or FUTURES_ENABLED) and enabled (true or false).

Note: This endpoint only works on subaccounts, not primary accounts.

Warning: Enabling margin or futures on a subaccount is permanent and cannot be reversed. Subaccounts with margin or futures enabled cannot be deleted.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body

application/json
JSON
{
"accountStatusFieldName": "MARGIN_ENABLED",
"enabled": true
}

Responses

Margin trading status updated successfully

Playground

Authorization
Body

Samples